/*
 *  Copyright 2010 Heinrich Schuchardt.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.xypron.statistics;

/**
 * Dirac Delta Distribution.
 */
public class DiracDeltaDistribution implements Distribution {

    /**
     * Mean.
     */
    private double mean;

    /**
     * Constructor.
     * @param my mean
     */
    public DiracDeltaDistribution(final double my) {
        mean = my;
    }

    @Override
    public final double alphaSafetyFactor(final double serviceLevel)
            throws Exception {
        return 0;
    }

    @Override
    public final double alphaServiceLevel(final double safetyFactor)
            throws Exception {
        return 1;
    }

    @Override
    public final double betaSafetyFactor(final double serviceLevel)
            throws Exception {
        return 0;
    }

    @Override
    public final double betaServiceLevel(final double safetyFactor)
            throws Exception {
        return 1;
    }

    @Override
    public final double getMean() {
        return mean;
    }

    @Override
    public final double getStandardDeviation() {
        return 0;
    }

    @Override
    public final double randomValue() throws Exception {
        return mean;
    }
}
